Subject: Re: [netlmm] #22: Multicast IPv6 ND triggers do not provide MN with confirmation of MAP registration success/failure.

From: netlmm <[email-masked]>
Date: Fri, 07 Jul 2006 09:54:56 -0000

#22: Multicast IPv6 ND triggers do not provide MN with confirmation of MAP
registration success/failure.
-----------------------------------------+----------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  defect                      |      Status:  closed                 
  Priority:  major                       |   Milestone:  milestone1             
 Component:  draft-ietf-netlmm-mn-ar-if  |     Version:  2.0                    
Resolution:  fixed                       |    Keywords:                         
-----------------------------------------+----------------------------------
Changes (by [email-masked]):

  * cc:  [email-masked] => [email-masked]
  * resolution:  => fixed
  * status:  assigned => closed

Comment:

 {{{
 Christian Vogt wrote:
 > Proposed solution:  Use the RS/RA exchange also for the initial
 > registration with the NETLMM domain.  The RA is then a positive
 > acknowledgment by means of which packet loss can be detected.  I
 > did not look carefully into this, but it seems that there is no
 > reason why the MN could not use DNA during the initial
 > registration.  (Draft draft-ietf-netlmm-mn-ar-if-01.txt currently
 > differentiates between the initial attachment and subsequent
 > handoffs.)

 Julien Laganier replied:
 > I think you are referring to subsection 2.1 and included figures. This
 > section, and all other subsection of Section 2. do not contain
 > normative text and are intended as example of how it works. The
 > normative text is in section 3 and 4. So the solution you propose is
 > actually already covered by subsection 4.2.2. "Receiving All Others
 > ND Messages" as cited above. The signed RA would trigger a NetLMM
 > UPDATE.

 Christian then replied:
 >
 > I now understand that the protocol proposed in the draft will also
 > leverage a signed RS.  But this leaves us with issue #23 that you
 > mentioned in the tracker--- namely, that multiple on-link ARs (or
 > MAGs) would register the same MN simultaneously.

 Resolution of the issue: no text change. A DNA MN would get a
 confirmation of MAP registration as described in the draft; namely,
 it has to send an RS to detect network attachment. If it then receives
 an RA that means that registration was successful.

 }}}

-- 
Ticket URL: <http://www1.tools.ietf.org/wg/netlmm/trac/ticket/22>
netlmm <http://tools.ietf.org/wg/netlmm/>
_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm